+++
title = "Nanometre-cutting machine using a stewart-platform parallel mechanism"
author = ["Dehaeze Thomas"]
draft = false
+++

Tags
: [Stewart Platforms]({{< relref "stewart_platforms.md" >}}), [Flexible Joints]({{< relref "flexible_joints.md" >}})

Reference
: (<a href="#citeproc_bib_item_1">Furutani, Suzuki, and Kudoh 2004</a>)

Author(s)
: Furutani, K., Suzuki, M., &amp; Kudoh, R.

Year
: 2004

-   Lever mechanism to amplify the motion of piezoelectric stack actuators
-   Use of flexure joints
-   Eddy current displacement sensors for control (decentralized)

{{< figure src="/ox-hugo/furutani04_ctrl_arch.png" >}}

-   Isotropic performance (cubic configuration even if not said so)

Possible sources of error:

-   position error of the link ends in assembly =&gt; simulation of position error and it is not significant
-   Inaccurate modelling of the links
-   insufficient generative force
-   unwanted deformation of the links

To minimize the errors, a calibration is done between the required leg length and the wanted platform pose.
Then, it is fitted with 4th order polynomial and included in the control architecture.


## Bibliography {#bibliography}

<style>.csl-entry{text-indent: -1.5em; margin-left: 1.5em;}</style><div class="csl-bib-body">
  <div class="csl-entry"><a id="citeproc_bib_item_1"></a>Furutani, Katsushi, Michio Suzuki, and Ryusei Kudoh. 2004. “Nanometre-Cutting Machine Using a Stewart-Platform Parallel Mechanism.” <i>Measurement Science and Technology</i> 15 (2): 467–74. doi:<a href="https://doi.org/10.1088/0957-0233/15/2/022">10.1088/0957-0233/15/2/022</a>.</div>
</div>
