+++
title = "Minimizing cross-talk in high-precision motion systems using data-based dynamic decoupling"
author = ["Thomas Dehaeze"]
draft = false
+++

Tags
: [Decoupled Control](decoupled_control.md)

Reference
: ([Heertjes and Engelen 2011](#org76c1202))

Author(s)
: Heertjes, M., & Engelen, A. v.

Year
: 2011

> In the field of high-precision motion control, a static decoupling control design is generally used to command motion in the directions of an orthogonal basis.
> Around the center-of-gravity of the system it then usually suffices to apply single-input single-output control in each of these directions separately.
> Among the advantages are robust stability and performance through straightforward control designs and loop shaping techniques.
>
> If the static decoupling part does not fully achieve desired decoupling of the underlying MIMO motion system, a multi-variable controller can be sought to replace the SISO controller part.
> A more natural approach would therefore be to replace the MIMO static decoupling part by a dynamic part and leave the SISO controller part intact.

<!--quoteend-->

> The aim of the paper is to minimize directly the cross-talk outputs via data-based optimization.
> The criterion to be optimized consists solely of time-domain signals taken from a performance-relevant time interval.


## Bibliography {#bibliography}

<a id="org76c1202"></a>Heertjes, Marcel, and Arjan van Engelen. 2011. “Minimizing Cross-Talk in High-Precision Motion Systems Using Data-Based Dynamic Decoupling.” _Control Engineering Practice_ 19 (12):1423–32. <https://doi.org/10.1016/j.conengprac.2011.07.016>.
