+++
title = "Design, modeling and control of nanopositioning systems"
author = ["Dehaeze Thomas"]
description = "Talks about various topics related to nano-positioning systems."
keywords = ["Control", "Metrology", "Flexible Joints"]
draft = false
+++

Tags
: [Piezoelectric Actuators]({{< relref "piezoelectric_actuators.md" >}}), [Flexible Joints]({{< relref "flexible_joints.md" >}})

Reference
: (<a href="#citeproc_bib_item_1">Fleming and Leang 2014</a>)

Author(s)
: Fleming, A. J., &amp; Leang, K. K.

Year
: 2014


## Introduction to Nanotechnology {#introduction-to-nanotechnology}


## Introduction to Nanopositioning {#introduction-to-nanopositioning}


## Scanning Probe Microscopy {#scanning-probe-microscopy}


## Challenges with Nanopositioning Systems {#challenges-with-nanopositioning-systems}


### Hysteresis {#hysteresis}


### Creep {#creep}


### Thermal Drift {#thermal-drift}


### Mechanical Resonance {#mechanical-resonance}


## Control of Nanopositioning Systems {#control-of-nanopositioning-systems}


### Feedback Control {#feedback-control}


### Feedforward Control {#feedforward-control}


## Book Summary {#book-summary}


### Assumed Knowledge {#assumed-knowledge}


### Content Summary {#content-summary}


## References {#references}


## The Piezoelectric Effect {#the-piezoelectric-effect}


## Piezoelectric Compositions {#piezoelectric-compositions}


## Manufacturing Piezoelectric Ceramics {#manufacturing-piezoelectric-ceramics}


## Piezoelectric Transducers {#piezoelectric-transducers}


## Application Considerations {#application-considerations}


## Response of Piezoelectric Actuators {#response-of-piezoelectric-actuators}


## Modeling Creep and Vibration in Piezoelectric Actuators {#modeling-creep-and-vibration-in-piezoelectric-actuators}


## Chapter Summary {#chapter-summary}


## References {#references}


## Piezoelectric Tube Nanopositioners {#piezoelectric-tube-nanopositioners}


### 63mm Piezoelectric Tube {#63mm-piezoelectric-tube}


### 40mm Piezoelectric Tube Nanopositioner {#40mm-piezoelectric-tube-nanopositioner}


## Piezoelectric Stack Nanopositioners {#piezoelectric-stack-nanopositioners}


### Phyisk Instrumente P-734 Nanopositioner {#phyisk-instrumente-p-734-nanopositioner}


### Phyisk Instrumente P-733.3DD Nanopositioner {#phyisk-instrumente-p-733-dot-3dd-nanopositioner}


### Vertical Nanopositioners {#vertical-nanopositioners}


### Rotational Nanopositioners {#rotational-nanopositioners}


### Low Temperature and UHV Nanopositioners {#low-temperature-and-uhv-nanopositioners}


### Tilting Nanopositioners {#tilting-nanopositioners}


### Optical Objective Nanopositioners {#optical-objective-nanopositioners}


## References {#references}


## Introduction {#introduction}


## Operating Environment {#operating-environment}


## Methods for Actuation {#methods-for-actuation}


## Flexure Hinges {#flexure-hinges}


### Introduction {#introduction}


### Types of Flexures {#types-of-flexures}


### Flexure Hinge Compliance Equations {#flexure-hinge-compliance-equations}


### Stiff Out-of-Plane Flexure Designs {#stiff-out-of-plane-flexure-designs}


### Failure Considerations {#failure-considerations}


### Finite Element Approach for Flexure Design {#finite-element-approach-for-flexure-design}


## Material Considerations {#material-considerations}


### Materials for Flexure and Platform Design {#materials-for-flexure-and-platform-design}


### Thermal Stability of Materials {#thermal-stability-of-materials}


## Manufacturing Techniques {#manufacturing-techniques}


## Design Example: A High-Speed Serial-Kinematic Nanopositioner {#design-example-a-high-speed-serial-kinematic-nanopositioner}


### State-of-the-Art Designs {#state-of-the-art-designs}


### Tradeoffs and Limitations in Speed {#tradeoffs-and-limitations-in-speed}


### Serial- Versus Parallel-Kinematic Configurations {#serial-versus-parallel-kinematic-configurations}


### Piezoactuator Considerations {#piezoactuator-considerations}


### Preloading Piezo-Stack Actuators {#preloading-piezo-stack-actuators}


### Flexure Design for Lateral Positioning {#flexure-design-for-lateral-positioning}


### Design of Vertical Stage {#design-of-vertical-stage}


### Fabrication and Assembly {#fabrication-and-assembly}


### Drive Electronics {#drive-electronics}

\*\*\*\*0 Experimental Results


## Chapter Summary {#chapter-summary}


## References {#references}


## Introduction {#introduction}


## Sensor Characteristics {#sensor-characteristics}


### Calibration and Nonlinearity {#calibration-and-nonlinearity}


### Drift and Stability {#drift-and-stability}


### Bandwidth {#bandwidth}


### Noise {#noise}


### Resolution {#resolution}


### Combining Errors {#combining-errors}


### Metrological Traceability {#metrological-traceability}


## Nanometer Position Sensors {#nanometer-position-sensors}


### Resistive Strain Sensors {#resistive-strain-sensors}


### Piezoresistive Strain Sensors {#piezoresistive-strain-sensors}


### Piezoelectric Strain Sensors {#piezoelectric-strain-sensors}


### Capacitive Sensors {#capacitive-sensors}


### MEMs Capacitive and Thermal Sensors {#mems-capacitive-and-thermal-sensors}


### Eddy-Current Sensors {#eddy-current-sensors}


### Linear Variable Displacement Transformers {#linear-variable-displacement-transformers}


### Laser Interferometers {#laser-interferometers}


### Linear Encoders {#linear-encoders}


## Comparison and Summary {#comparison-and-summary}


## Outlook and Future Requirements {#outlook-and-future-requirements}


## References {#references}


## Introduction {#introduction}


## Shunt Circuit Modeling {#shunt-circuit-modeling}


### Open-Loop {#open-loop}


### Shunt Damping {#shunt-damping}


## Implementation {#implementation}


## Experimental Results {#experimental-results}


### Tube Dynamics {#tube-dynamics}


### Amplifier Performance {#amplifier-performance}


### Shunt Damping Performance {#shunt-damping-performance}


## Chapter Summary {#chapter-summary}


## References {#references}


## Introduction {#introduction}


## Experimental Setup {#experimental-setup}


## PI Control {#pi-control}


## PI Control with Notch Filters {#pi-control-with-notch-filters}


## PI Control with IRC Damping {#pi-control-with-irc-damping}


## Performance Comparison {#performance-comparison}


## Noise and Resolution {#noise-and-resolution}


## Analog Implementation {#analog-implementation}


## Application to AFM Imaging {#application-to-afm-imaging}


## References {#references}


## Introduction {#introduction}


## Modeling {#modeling}


### Actuator Dynamics {#actuator-dynamics}


### Sensor Dynamics {#sensor-dynamics}


### Sensor Noise {#sensor-noise}


### Mechanical Dynamics {#mechanical-dynamics}


### System Properties {#system-properties}


### Example System {#example-system}


## Damping Control {#damping-control}


## Tracking Control {#tracking-control}


### Relationship Between Force and Displacement {#relationship-between-force-and-displacement}


### Integral Displacement Feedback {#integral-displacement-feedback}


### Direct Tracking Control {#direct-tracking-control}


### Dual Sensor Feedback {#dual-sensor-feedback}


### Low Frequency Bypass {#low-frequency-bypass}


### Feedforward Inputs {#feedforward-inputs}


### Higher-Order Modes {#higher-order-modes}


## Experimental Results {#experimental-results}


### Experimental Nanopositioner {#experimental-nanopositioner}


### Actuators and Force Sensors {#actuators-and-force-sensors}


### Control Design {#control-design}


### Noise Performance {#noise-performance}


## Chapter Summary {#chapter-summary}


## References {#references}


## Why Feedforward? {#why-feedforward}


## Modeling for Feedforward Control {#modeling-for-feedforward-control}


## Feedforward Control of Dynamics and Hysteresis {#feedforward-control-of-dynamics-and-hysteresis}


### Simple DC-Gain Feedforward Control {#simple-dc-gain-feedforward-control}


### An Inversion-Based Feedforward Approach  for Linear Dynamics {#an-inversion-based-feedforward-approach-for-linear-dynamics}


### Frequency-Weighted Inversion: The Optimal Inverse {#frequency-weighted-inversion-the-optimal-inverse}


### Application to AFM Imaging {#application-to-afm-imaging}


## Feedforward and Feedback Control {#feedforward-and-feedback-control}


### Application to AFM Imaging {#application-to-afm-imaging}


## Iterative Feedforward Control {#iterative-feedforward-control}


### The ILC Problem {#the-ilc-problem}


### Model-Based ILC {#model-based-ilc}


### Nonlinear ILC {#nonlinear-ilc}


### Conclusions {#conclusions}


## References {#references}


## 10.1 Introduction {#10-dot-1-introduction}


### 10.1.1 Background {#10-dot-1-dot-1-background}


### 10.1.2 The Optimal Periodic Input {#10-dot-1-dot-2-the-optimal-periodic-input}


## 10.2 Signal Optimization {#10-dot-2-signal-optimization}


## 10.3 Frequency Domain Cost Functions {#10-dot-3-frequency-domain-cost-functions}


### 10.3.1 Background: Discrete Fourier Series {#10-dot-3-dot-1-background-discrete-fourier-series}


### 10.3.2 Minimizing Signal Power {#10-dot-3-dot-2-minimizing-signal-power}


### 10.3.3 Minimizing Frequency Weighted Power {#10-dot-3-dot-3-minimizing-frequency-weighted-power}


### 10.3.4 Minimizing Velocity and Acceleration {#10-dot-3-dot-4-minimizing-velocity-and-acceleration}


### 10.3.5 Single-Sided Frequency Domain Calculations {#10-dot-3-dot-5-single-sided-frequency-domain-calculations}


## 10.4 Time Domain Cost Function {#10-dot-4-time-domain-cost-function}


### 10.4.1 Minimum Velocity {#10-dot-4-dot-1-minimum-velocity}


### 10.4.2 Minimum Acceleration {#10-dot-4-dot-2-minimum-acceleration}


### 10.4.3 Frequency Weighted Objectives {#10-dot-4-dot-3-frequency-weighted-objectives}


## 10.5 Application to Scan Generation {#10-dot-5-application-to-scan-generation}


### 10.5.1 Choosing β and K {#10-dot-5-dot-1-choosing-β-and-k}


### 10.5.2 Improving Feedback and Feedforward Controllers {#10-dot-5-dot-2-improving-feedback-and-feedforward-controllers}


## 10.6 Comparison to Other Techniques {#10-dot-6-comparison-to-other-techniques}


## 10.7 Experimental Application {#10-dot-7-experimental-application}


## 10.8 Chapter Summary {#10-dot-8-chapter-summary}


## References {#references}


## 11.1 Introduction {#11-dot-1-introduction}


## 11.2 Modeling Hysteresis {#11-dot-2-modeling-hysteresis}


### 11.2.1 Simple Polynomial Model {#11-dot-2-dot-1-simple-polynomial-model}


### 11.2.2 Maxwell Slip Model {#11-dot-2-dot-2-maxwell-slip-model}


### 11.2.3 Duhem Model {#11-dot-2-dot-3-duhem-model}


### 11.2.4 Preisach Model {#11-dot-2-dot-4-preisach-model}


### 11.2.5 Classical Prandlt-Ishlinksii Model {#11-dot-2-dot-5-classical-prandlt-ishlinksii-model}


## 11.3 Feedforward Hysteresis Compensation {#11-dot-3-feedforward-hysteresis-compensation}


### 11.3.1 Feedforward Control Using the Presiach Model {#11-dot-3-dot-1-feedforward-control-using-the-presiach-model}


### 11.3.2 Feedforward Control Using the Prandlt-Ishlinksii Model {#11-dot-3-dot-2-feedforward-control-using-the-prandlt-ishlinksii-model}


## 11.4 Chapter Summary {#11-dot-4-chapter-summary}


## References {#references}


## 12.1 Introduction {#12-dot-1-introduction}


## 12.2 Charge Drives {#12-dot-2-charge-drives}


## 12.3 Application to Piezoelectric Stack Nanopositioners {#12-dot-3-application-to-piezoelectric-stack-nanopositioners}


## 12.4 Application to Piezoelectric Tube Nanopositioners {#12-dot-4-application-to-piezoelectric-tube-nanopositioners}


## 12.5 Alternative Electrode Configurations {#12-dot-5-alternative-electrode-configurations}


### 12.5.1 Grounded Internal Electrode {#12-dot-5-dot-1-grounded-internal-electrode}


### 12.5.2 Quartered Internal Electrode {#12-dot-5-dot-2-quartered-internal-electrode}


## 12.6 Charge Versus Voltage {#12-dot-6-charge-versus-voltage}


### 12.6.1 Advantages {#12-dot-6-dot-1-advantages}


### 12.6.2 Disadvantages {#12-dot-6-dot-2-disadvantages}


## 12.7 Impact on Closed-Loop Control {#12-dot-7-impact-on-closed-loop-control}


## 12.8 Chapter Summary {#12-dot-8-chapter-summary}


## References {#references}


## 13.1 Introduction {#13-dot-1-introduction}


## 13.2 Review of Random Processes {#13-dot-2-review-of-random-processes}


### 13.2.1 Probability Distributions {#13-dot-2-dot-1-probability-distributions}


### 13.2.2 Expected Value, Moments, Variance, and RMS {#13-dot-2-dot-2-expected-value-moments-variance-and-rms}


### 13.2.3 Gaussian Random Variables {#13-dot-2-dot-3-gaussian-random-variables}


### 13.2.4 Continuous Random Processes {#13-dot-2-dot-4-continuous-random-processes}


### 13.2.5 Joint Density Functions and Stationarity {#13-dot-2-dot-5-joint-density-functions-and-stationarity}


### 13.2.6 Correlation Functions {#13-dot-2-dot-6-correlation-functions}


### 13.2.7 Gaussian Random Processes {#13-dot-2-dot-7-gaussian-random-processes}


### 13.2.8 Power Spectral Density {#13-dot-2-dot-8-power-spectral-density}


### 13.2.9 Filtered Random Processes {#13-dot-2-dot-9-filtered-random-processes}


### 13.2.10 White Noise {#13-dot-2-dot-10-white-noise}


### 13.2.11 Spectral Density in V/sqrtHz {#13-dot-2-dot-11-spectral-density-in-v-sqrthz}


### 13.2.12 Single- and Double-Sided Spectra {#13-dot-2-dot-12-single-and-double-sided-spectra}


## 13.3 Resolution and Noise {#13-dot-3-resolution-and-noise}


## 13.4 Sources of Nanopositioning Noise {#13-dot-4-sources-of-nanopositioning-noise}


### 13.4.1 Sensor Noise {#13-dot-4-dot-1-sensor-noise}


### 13.4.2 External Noise {#13-dot-4-dot-2-external-noise}


### 13.4.3 Amplifier Noise {#13-dot-4-dot-3-amplifier-noise}


## 13.5 Closed-Loop Position Noise {#13-dot-5-closed-loop-position-noise}


### 13.5.1 Noise Sensitivity Functions {#13-dot-5-dot-1-noise-sensitivity-functions}


### 13.5.2 Closed-Loop Position Noise Spectral Density {#13-dot-5-dot-2-closed-loop-position-noise-spectral-density}


### 13.5.3 Closed-Loop Noise Approximations with Integral Control {#13-dot-5-dot-3-closed-loop-noise-approximations-with-integral-control}


### 13.5.4 Closed-Loop Position Noise Variance {#13-dot-5-dot-4-closed-loop-position-noise-variance}


### 13.5.5 A Note on Units {#13-dot-5-dot-5-a-note-on-units}


## 13.6 Simulation Examples {#13-dot-6-simulation-examples}


### 13.6.1 Integral Controller Noise Simulation {#13-dot-6-dot-1-integral-controller-noise-simulation}


### 13.6.2 Noise Simulation with Inverse Model Controller {#13-dot-6-dot-2-noise-simulation-with-inverse-model-controller}


### 13.6.3 Feedback Versus Feedforward Control {#13-dot-6-dot-3-feedback-versus-feedforward-control}


## 13.7 Practical Frequency Domain Noise Measurements {#13-dot-7-practical-frequency-domain-noise-measurements}


### 13.7.1 Preamplification {#13-dot-7-dot-1-preamplification}


### 13.7.2 Spectrum Estimation {#13-dot-7-dot-2-spectrum-estimation}


### 13.7.3 Direct Measurement of Position Noise {#13-dot-7-dot-3-direct-measurement-of-position-noise}


### 13.7.4 Measurement of the External Disturbance {#13-dot-7-dot-4-measurement-of-the-external-disturbance}


## 13.8 Experimental Demonstration {#13-dot-8-experimental-demonstration}


## 13.9 Time-Domain Noise Measurements {#13-dot-9-time-domain-noise-measurements}


### 13.9.1 Total Integrated Noise {#13-dot-9-dot-1-total-integrated-noise}


### 13.9.2 Estimating the Position Noise {#13-dot-9-dot-2-estimating-the-position-noise}


### 13.9.3 Practical Considerations {#13-dot-9-dot-3-practical-considerations}


### 13.9.4 Experimental Demonstration {#13-dot-9-dot-4-experimental-demonstration}


## 13.10 A Simple Method for Measuring the Resolution  of Nanopositioning Systems {#13-dot-10-a-simple-method-for-measuring-the-resolution-of-nanopositioning-systems}


## 13.11 Techniques for Improving Resolution {#13-dot-11-techniques-for-improving-resolution}


## 13.12 Chapter Summary {#13-dot-12-chapter-summary}


## References {#references}


## Electrical Considerations {#electrical-considerations}


### Amplifier and Piezo electrical models {#amplifier-and-piezo-electrical-models}

<a id="figure--fig:fleming14-amplifier-model"></a>

{{< figure src="/ox-hugo/fleming14_amplifier_model.png" caption="<span class=\"figure-number\">Figure 1: </span>A voltage source \\(V\_s\\) driving a piezoelectric load. The actuator is modeled by a capacitance \\(C\_p\\) and strain-dependent voltage source \\(V\_p\\). The resistance \\(R\_s\\) is the output impedance and \\(L\\) the cable inductance." >}}

Consider the electrical circuit shown in [Figure 1](#figure--fig:fleming14-amplifier-model) where a voltage source is connected to a piezoelectric actuator.
The actuator is modeled as a capacitance \\(C\_p\\) in series with a strain-dependent voltage source \\(V\_p\\).
The resistance \\(R\_s\\) and inductance \\(L\\) are the source impedance and the cable inductance respectively.

<div class="exampl">

Typical inductance of standard RG-58 coaxial cable is \\(250 nH/m\\).
Typical value of \\(R\_s\\) is between \\(10\\) and \\(100 \Omega\\).

</div>

When considering the effects of both output impedance and cable inductance, the transfer function from source voltage \\(V\_s\\) to load voltage \\(V\_L\\) is second-order low pass filter:

\begin{equation}
  \frac{V\_L(s)}{V\_s(s)} = \frac{1}{\frac{s^2}{\omega\_r^2} + 2 \xi \frac{s}{\omega\_r} + 1}
\end{equation}

with:

-   \\(\omega\_r = \frac{1}{\sqrt{L C\_p}}\\)
-   \\(\xi = \frac{R\_s \sqrt{L C\_p}}{2 L}\\)


### Amplifier small-signal Bandwidth {#amplifier-small-signal-bandwidth}

The most obvious bandwidth limitation is the small-signal bandwidth of the amplifier.

If the inductance \\(L\\) is neglected, the transfer function from source voltage \\(V\_s\\) to load voltage \\(V\_L\\) forms a first order filter with a cut-off frequency

\begin{equation}
  \omega\_c = \frac{1}{R\_s C\_p}
\end{equation}

This is thus highly dependent of the load.

The high capacitive impedance nature of piezoelectric loads introduces phase-lag into the feedback path.
A rule of thumb is that closed-loop bandwidth cannot exceed one-tenth the cut-off frequency of the pole formed by the amplifier output impedance \\(R\_s\\) and load capacitance \\(C\_p\\) (see [Table 1](#table--tab:piezo-limitation-Rs) for values).

<a id="table--tab:piezo-limitation-Rs"></a>
<div class="table-caption">
  <span class="table-number"><a href="#table--tab:piezo-limitation-Rs">Table 1</a>:</span>
  Bandwidth limitation due to \(R_s\)
</div>

|              | Cp = 100 nF | Cp = 1 uF | Cp = 10 uF |
|--------------|-------------|-----------|------------|
| Rs = 1 Ohm   | 1.6 MHz     | 160 kHz   | 16 kHz     |
| Rs = 10 Ohm  | 160 kHz     | 16 kHz    | 1.6 kHz    |
| Rs = 100 Ohm | 16 kHz      | 1.6 kHz   | 160 Hz     |

The inductance \\(L\\) does also play a role in the amplifier bandwidth as it changes the resonance frequency.
Ideally, low inductance cables should be used.
It is however usually quite high compare to \\(\omega\_c\\) as shown in [Table 2](#table--tab:piezo-limitation-L).

<a id="table--tab:piezo-limitation-L"></a>
<div class="table-caption">
  <span class="table-number"><a href="#table--tab:piezo-limitation-L">Table 2</a>:</span>
  Bandwidth limitation due to \(R_s\)
</div>

|             | Cp = 100 nF | Cp = 1 uF | Cp = 10 uF |
|-------------|-------------|-----------|------------|
| L = 25 nH   | 3.2 MHz     | 1 MHz     | 320 kHz    |
| L = 250 nH  | 1 MHz       | 320 kHz   | 100 kHz    |
| L = 2500 nH | 320 kHz     | 100 kHz   | 32 kHz     |


### Amplifier maximum slew rate {#amplifier-maximum-slew-rate}

Further bandwidth restrictions are imposed by the maximum **slew rate** of the amplifier.
This is the maximum rate at which the output voltage can change and is usually expressed in \\(V/\mu s\\).

For sinusoidal signals, the amplifiers slew rate must exceed:
\\[ SR\_{\text{sin}} > V\_{p-p} \pi f \\]
where \\(V\_{p-p}\\) is the peak to peak voltage and \\(f\\) is the frequency.

<div class="exampl">

If a 300kHz sine wave is to be reproduced with an amplitude of 10V, the required slew rate is \\(\approx 20 V/\mu s\\).

</div>

When dealing with capacitive loads, **the current limit is usually exceed well before the slew rate limit**.


### Current and Power Limitations {#current-and-power-limitations}

When driving the actuator off-resonance, the current delivered to a piezoelectric actuator is approximately:
\\[ I\_L(s) = V\_L(s) C\_p s \\]

For sinusoidal signals, the maximum positive and negative current is equal to:
\\[ I\_L^\text{max} = V\_{p-p} \pi f C\_p \\]

<a id="table--tab:piezo-required-current"></a>
<div class="table-caption">
  <span class="table-number"><a href="#table--tab:piezo-required-current">Table 3</a>:</span>
  Minimum current requirements for a 10V sinusoid
</div>

|             | Cp = 100 nF | Cp = 1 uF | Cp = 10 uF |
|-------------|-------------|-----------|------------|
| f = 30 Hz   | 0.19 mA     | 1.9 mA    | 19 mA      |
| f = 3 kHz   | 19 mA       | 190 mA    | 1.9 A      |
| f = 300 kHz | 1.9 A       | 19 A      | 190 A      |


### Chapter Summary {#chapter-summary}

The bandwidth limitations  of standard piezoelectric drives were identified as:

-   High output impedance
-   The presence of a ple in the voltage-feedback loop due to output impedance and load capacitance
-   Insufficient current capacity due to power dissipation
-   High cable and connector inductance


### References {#references}


## Bibliography {#bibliography}

<style>.csl-entry{text-indent: -1.5em; margin-left: 1.5em;}</style><div class="csl-bib-body">
  <div class="csl-entry"><a id="citeproc_bib_item_1"></a>Fleming, Andrew J., and Kam K. Leang. 2014. <i>Design, Modeling and Control of Nanopositioning Systems</i>. Advances in Industrial Control. Springer International Publishing. doi:<a href="https://doi.org/10.1007/978-3-319-06617-2">10.1007/978-3-319-06617-2</a>.</div>
</div>
