+++
title = "Air Bearing"
author = ["Dehaeze Thomas"]
draft = false
+++

Tags
:


## Advantages of air bearing {#advantages-of-air-bearing}

Advantages of air bearings compared to roller bearings:

-   **low friction**: because air bearing have almost zero static friction, this enables infinite resolution of motion that is highly repeatable.
    Friction in air bearing is a function of air shear, which is itself a function of velocity.
-   **zero wear**: non-contact motion means virtually zero wear owing to friction, resulting in consistent machine and minimal particulate generation
-   **straighter motion**: rolling element bearings are directly influence by surface finishing and irregularities on the guide surface. The air bearing's fluid film layer averages these errors resulting in straighter motion
-   **silent and smooth operation**: recirculating rollers or balls create noise and vibration as hard elements are loaded, unloaded and change directions in return tubes. Air bearings have no dynamic components resulting in virtually silent operation
-   **higher damping**: being fluid film bearings, air bearings have a squeeze film damping effect resulting in higher dynamic stiffness and stability
-   **no lubrication**:


## Air bearing stiffness {#air-bearing-stiffness}

Observing [1](#figure--fig:air-bearing-stiffness-gap), we see that air bearings do not have a linear stiffness curve but rather an exponential one, producing higher and higher stiffness values as the film becomes thinner and the loading becomes higher.

<a id="figure--fig:air-bearing-stiffness-gap"></a>

{{< figure src="/ox-hugo/air_bearing_stiffness_gap.png" caption="<span class=\"figure-number\">Figure 1: </span>Lift/load curve of a typical air bearing. The slope of the curve is representative of the bearing stiffness. A vertical line represent infinite stiffness and an horizontal line would represent zero stiffness" >}}

Because air is a compressible fluid, it possesses its own spring rate, or stiffness.
Higher pressures effectively act as a preload on the "air spring", and if we thing of the air column as a spring of arbitrary height, compressing or shortening the spring will increase its stiffness as the air attempts to "push back".
Stiffness in an air bearing system is a product of pressure in the air gap, thickness of the air gap and the projected surface area of the bearing.


## Orifice and porous technology {#orifice-and-porous-technology}

Air bearings generally fall into one of two categories: orifice or porous media bearings.

In orifice compensation bearings, the precisely sized orifices are strategically placed on the bearing, and are often combined with groove to distribute the pressurized air as evenly as possible across the bearing face.
However, should the bearing face become scratched across a groove or near an orifice, the volume or air which escapes via the scratch in the surface may be more than the orifice can supply, causing a bearing crash.

Porous media air bearings control the airflow across the entire bearing surface through millions of sub-micron holes in the porous material.
Due to the porous nature, even if some of the holes become clogged or damaged, the air will continue to be supplied to the majority of the bearing face.


## Air Bearing Components {#air-bearing-components}

| Manufacturer                                                                                                                                 | Country |
|----------------------------------------------------------------------------------------------------------------------------------------------|---------|
| [New way](https://www.newwayairbearings.com/catalog/components/) ([IBSPE](https://www.ibspe.com/air-bearings/flat-air-bearings) distributor) | USA     |
| [Positechnics](http://positechnics.fr/index.adml?r=176)                                                                                      |         |
| [Huber](https://www.xhuber.com/en/products/4-accessories/41-mechanics/airpads/)                                                              |         |
| [Specialty Components](https://www.specialtycomponents.com/)                                                                                 | USA     |


## Linear Air Bearing Stages {#linear-air-bearing-stages}

-   <https://microplan-group.com/en/>
-   <https://www.aerotech.com/motion-and-positioning/stages-actuators-products/?pagenum=1&CATEGORY=Linear+Motion&AXIS+CONFIGURATION=Single+Axis&AXIS+ORIENTATION=Horizontal&BEARING+TYPE=Air+Bearing>
-   <https://www.pi-usa.us/en/products/air-bearings-ultra-high-precision-stages/a-10x-piglide-rb-linear-air-bearing-module-900716>
-   <https://www.ibspe.com/air-bearings/air-slides>


## Spindle Air Bearing {#spindle-air-bearing}


## Bibliography {#bibliography}

<style>.csl-entry{text-indent: -1.5em; margin-left: 1.5em;}</style><div class="csl-bib-body">
</div>
