+++
title = "Dynamic Error Budgeting"
author = ["Dehaeze Thomas"]
draft = false
+++

Tags
:

A good introduction to Dynamic Error Budgeting is given in (<a href="#citeproc_bib_item_1">Monkhorst 2004</a>).


## Step by Step process {#step-by-step-process}

Taken from (<a href="#citeproc_bib_item_1">Monkhorst 2004</a>): ([Notes]({{< relref "monkhorst04_dynam_error_budget.md" >}}))

> Step by step, the process is as follows:
>
> -   design a concept system
> -   model the concept system, such that the closed loop transfer functions can be determined
> -   Identify all significant disturbances.
>     Model them with their _Power Spectral Density_
> -   Define the performance outputs of the system and simulate the output error.
>     Using the theory of _propagation_, the contribution of each disturbance to the output error can be analyzed and the critical disturbance can be pointed out
> -   Make changes to the system that are expected to improve the performance level, and simulate the output error again.
>     Iterate until the error budget is meet.


## Bibliography {#bibliography}

<style>.csl-entry{text-indent: -1.5em; margin-left: 1.5em;}</style><div class="csl-bib-body">
  <div class="csl-entry"><a id="citeproc_bib_item_1"></a>Monkhorst, Wouter. 2004. “Dynamic Error Budgeting, a Design Approach.” Delft University.</div>
</div>
