+++
title = "Force Sensors"
author = ["Dehaeze Thomas"]
draft = false
category = "equipment"
+++

Tags
: [Signal Conditioner]({{< relref "signal_conditioner.md" >}}), [Modal Analysis]({{< relref "modal_analysis.md" >}})


## Technologies {#technologies}

There are two main technique for force sensors:

-   piezoelectric technology
-   strain gauge technology

The choice between the two is usually based on whether the measurement is static (strain gauge) or dynamics (piezoelectric).

Main differences between the two are shown in [Figure 1](#figure--fig:force-sensor-piezo-vs-strain-gauge).

<a id="figure--fig:force-sensor-piezo-vs-strain-gauge"></a>

{{< figure src="/ox-hugo/force_sensor_piezo_vs_strain_gauge.png" caption="<span class=\"figure-number\">Figure 1: </span>Piezoelectric Force sensor VS Strain Gauge Force sensor" >}}


## Piezoelectric Force Sensors {#piezoelectric-force-sensors}


### Dynamics and Noise of a piezoelectric force sensor {#dynamics-and-noise-of-a-piezoelectric-force-sensor}

An analysis the dynamics and noise of a piezoelectric force sensor is done in (<a href="#citeproc_bib_item_1">Fleming 2010</a>) ([Notes]({{< relref "fleming10_nanop_system_with_force_feedb.md" >}})).


### Manufacturers {#manufacturers}

| Manufacturers                                                                                   | Country |
|-------------------------------------------------------------------------------------------------|---------|
| [PCB](https://www.pcb.com/products/productfinder.aspx?tx=17)                                    | USA     |
| [HBM](https://www.hbm.com/en/6107/force-sensors-with-flange-mounting/)                          | Germany |
| [Kistler](https://www.kistler.com/fr/produits/composants/capteurs-de-force/?pfv_metrics=metric) | Swiss   |
| [MMF](https://www.mmf.de/force_transducers.htm)                                                 | Germany |
| [Sinocera](http://www.china-yec.net/sensors/)                                                   | China   |


### Signal Conditioner {#signal-conditioner}

The voltage generated by the piezoelectric material generally needs to be amplified using a [Signal Conditioner]({{< relref "signal_conditioner.md" >}}).

Either **charge** amplifiers or **voltage** amplifiers can be used.


### Effect of using multiple Stacks in series of parallels {#effect-of-using-multiple-stacks-in-series-of-parallels}

If two stack are wired in series, the generated charge is kept constant and the capacitance is reduced by a factor 2.
Thus, the measured voltage is double while the measured charge is kept constant.

If two stacks are wired in parallel, the capacitance and the number of charge will be doubled.
Thus, if a voltage amplifier is used, no change of voltage will be experienced.
However, if a charge conditioner is used, the signal will be doubled.


## Strain Gauge (Load Cells) {#strain-gauge--load-cells}


### Manufacturers {#manufacturers}

| Manufacturers                                                                  | Country        |
|--------------------------------------------------------------------------------|----------------|
| [Sensel](https://www.sensel-measurement.fr/en/3-load-cell)                     | France         |
| [Omega](https://www.omega.com/en-us/resources/load-cells)                      | United Kingdom |
| [Megatron](https://www.megatron.de/en/category/load-cells.html)                | Germany        |
| [PCB](https://www.pcb.com/products/product-finder?tx=19)                       | USA            |
| [Interface](https://quickship.interfaceforce.com/product-category/load-cells/) | USA            |
| [Althen](https://www.althensensors.com/sensors/weighing-sensors-load-cells/)   | Netherlands    |


## Bibliography {#bibliography}

<style>.csl-entry{text-indent: -1.5em; margin-left: 1.5em;}</style><div class="csl-bib-body">
  <div class="csl-entry"><a id="citeproc_bib_item_1"></a>Fleming, A.J. 2010. “Nanopositioning System with Force Feedback for High-Performance Tracking and Vibration Control.” <i>IEEE/ASME Transactions on Mechatronics</i> 15 (3): 433–47. doi:<a href="https://doi.org/10.1109/tmech.2009.2028422">10.1109/tmech.2009.2028422</a>.</div>
</div>
