+++
title = "Relative Gain Array"
author = ["Dehaeze Thomas"]
draft = false
+++

Tags
:

Imagine a 2x2 plant:
\\[ G(s) = \begin{bmatrix} g\_{11}(s) & g\_{12}(s)\\\ g\_{21}(s) & g\_{22}(s) \end{bmatrix} \\]

Now suppose a controller \\(k\_{1}(s)\\) is closed on the first loop.
The new transfer function from \\(u\_2\\) to \\(y\_2\\) (while the first loop is closed) is :

\begin{equation}
y\_2 = g\_{22} \left[ 1 - \underbrace{\frac{g\_{21}g\_{12}}{g\_{11}g\_{22}}}\_{\phi} \underbrace{\frac{g\_{11} k\_{11}}{1  + g\_{11}k\_{11}}}\_{T\_{11}} \right]
\end{equation}

\\(\phi\\) is called the **interaction index**.
\\(T\_{11}\\) is the complementary sensitivity of the first loop (equal to 1 in the bandwidth of the first controller).
Therefore, we want \\(\phi \approx 0\\) to have no interaction.

Similarly, the **relative gain** is defined as:
\\[ \Lambda = \frac{1}{1 - \phi} \\]
And we want \\(\Lambda \approx 1\\) to have no interaction.

Note that the scaling of inputs or outputs of the MIMO plant has no effect on \\(\phi\\) or \\(\Lambda\\).

The **relative gain array** is defined as:
\\[ \Lambda(G) = G \star (G^{-1})^{T} \\]
where \\(\star\\) means element wise multiplication.

```matlab
RGA = G.*pinv(G.')
```


## Bibliography {#bibliography}

<./biblio/references.bib>
