+++
title = "Right Half Plane Zeros"
author = ["Thomas Dehaeze"]
draft = false
+++

Tags
:

Right Half Plane (RHP) Zeros are present in a broad range of systems.

-   SISO RHP zeros:
    -   \\(G(z) = 0\\). The real part of \\(z\\) is positive
-   MIMO RHP zeros:
    -   RHP zeros of the determinant of the transfer function matrix
    -   For MIMO plants, the zero is associated with an output direction
-   Consequences:
    -   Non minimum phase
    -   Usually, if looking at the step response, at first the response goes in the wrong direction
    -   The frequency of the RHP zero should be outside the controller bandwidth.
        It therefore impose a fundamental limitation to the controller bandwidth.
        The reason is that inside the control bandwidth, the controller basically inverts the plant, and the inverse of a RHP zero is an unstable pole.
